List TMSs
curl --request GET \
--url https://api.catenatelematics.com/v2/orgs/tmsimport requests
url = "https://api.catenatelematics.com/v2/orgs/tms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catenatelematics.com/v2/orgs/tms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/orgs/tms")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"name": "<string>",
"source_name": "alvys",
"conn_type": "access_token",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "active",
"is_sandbox": false
}
]{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}TMS
List TMSs
Get a list of TMSs integrated with Catena Telematics.
GET
/
v2
/
orgs
/
tms
List TMSs
curl --request GET \
--url https://api.catenatelematics.com/v2/orgs/tmsimport requests
url = "https://api.catenatelematics.com/v2/orgs/tms"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.catenatelematics.com/v2/orgs/tms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/orgs/tms"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/orgs/tms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.catenatelematics.com/v2/orgs/tms")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/orgs/tms");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/orgs/tms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"name": "<string>",
"source_name": "alvys",
"conn_type": "access_token",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "active",
"is_sandbox": false
}
]{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Query Parameters
Enum for TMS (Transportation Management System) providers.
Kept separate from TspEnum: TMS providers are not TSPs, and conflating them would corrupt registry/validation paths that assume TspEnum membership.
Available options:
alvys, ascend_tms, axon_software, blue_yonder, dat, descartes_aljex, freightpop, manhattan_associates, mastery_tms, mcleod, mercury_gate, oracle_transportation_management, pcs_software, revenova, rose_rocket, sap_transportation_management, tailwind_tms, tai_tms, tms_simulator, transport_pro, trimble_transportation, turvo Response
Successful Response
TMS enum identifier for API references
Available options:
alvys, ascend_tms, axon_software, blue_yonder, dat, descartes_aljex, freightpop, manhattan_associates, mastery_tms, mcleod, mercury_gate, oracle_transportation_management, pcs_software, revenova, rose_rocket, sap_transportation_management, tailwind_tms, tai_tms, tms_simulator, transport_pro, trimble_transportation, turvo The type of connection used to authenticate with the TMS
Available options:
access_token, api_auth, api_basic, api_key, azuga_slc, bouncie, client_id_secret, company_access, company_id, database, driver_tech, ez_lynk, ez_lynk_access, ezlogz, factor_eld, fleetup, fleetup_slc, geotab, isaac, motive, oauth1, oauth2, oauth2_initiate, oauth2_private_key, ontime, optimus_tracker, patriot_eld_slc, private_key, route_one_eld, s3, samsara, simple_truck_eld, switchboard, spireon_slc, sftp, teslemetry, token, tt_creds, truckx_creds, truckx_slc, txt_eld_slc, verizon_connect, verizon_connect_slc, webfleet_slc, zubie Unique Catena TMS identifier
URL-friendly TMS identifier
When the TMS was added to Catena
Last modification timestamp
The status of the TMS
Available options:
active, inactive, deleted, integrated, in_progress, pending Indicates whether the TMS is a sandbox integration for testing purposes.
Was this page helpful?